Bug 1689626 - multi-domain keystone configuration must be reflected in Horizon as well
Summary: multi-domain keystone configuration must be reflected in Horizon as well
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: beta
: 15.0 (Stein)
Assignee: Radomir Dopieralski
QA Contact: Eldar Weiss
URL:
Whiteboard:
Depends On: 1688685
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-17 04:12 UTC by Amit Ugol
Modified: 2019-09-26 10:48 UTC (History)
3 users (show)

Fixed In Version: python-django-horizon-15.1.1-0.20190612120427.c3ac75e.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:20:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 643533 0 None MERGED Make domain_lookup return consistent type 2020-05-05 10:23:13 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:21:01 UTC

Description Amit Ugol 2019-03-17 04:12:02 UTC
With multi-domain configuration enabled for the OSP horizon dashboard, the customer experienced a UI crash when logging in as a domain admin.

With multi-domain support enabled horizon incorrectly attempts to grant access to the list domains view within the UI which triggered a crash of the UI due to a logic bug in the error handling of the exception.

Even as the exception was handled in 1688685, if we don't configure the system well, there will be errors and changing configuration on a live system is a hassle.

Comment 4 Eldar Weiss 2019-07-22 12:19:18 UTC
Verified this now on RHOSP15 in my server 10.35.160.195
UI doesn't crash anymore on multiple domains.

Comment 6 errata-xmlrpc 2019-09-21 11:20:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.